# base_server
Basic configuration of server : 

- file system organization
- locales
- firewall
- mailing configuration
- monitoring
- backup strategy
- user group for sftp only in chroot : {{ sftp_users_chroot }}
- storage box initialisation

## Requirements
 - role : None
 - inventory : group base_server ( and secrets ... )


## Tags
Tags are defined for each tasks 

- backup
- filesys
- letsencrypt
- mail
- monit
- apt
- ufw
- chroot

So you may just run the tasks you need to prepare your server

i.e.

```bash
ansible-playbook play.book.yml --tags=monit,backup

```

> ## Monit system configuration
> 
> Monit check system parameters and each parameters can be tuned by server :
> 
> Parameters and default
> 
> monit_system_loadavg_1min: 2
> monit_system_loadavg_5min: 1.5
> monit_system_cpu_usage: 95
> monit_system_memory_usage: 95
> monit_system_swap_usage: 90
> monit_system_root_partition_usage: 80
> monit_system_data_partition_usage: 90

## Using the rôle


`./play.py -r YOURHOST base_server`


## License

GPL V3

##Author Information

Pâquerette Team contact@paquerette.eu
[paquerette.eu](http://paquerette.eu)
