# Mosparo

Mosparo deployement

## Requirements

Needs paquerette ansible utility rôles : https://git.paquerette.eu/paquerette/infrastructure/ansible-paquerette

## Role Variables


```yml
- role: mosparo
  client: ClientName
  description: Mosparo ClientName
  app_domain: mosparo.domaine.fr
  app_instance_id: msp_clientID
  database_password: xDUB......................
  app_user: www-msp
  app_user_password: $6.........................................................................
  clear_app_user_password: EE.......................
```

* Change app version to yours


## Default Variables

```yml
app_program: "Mosparo"
app_instance_root: "{{ www_root }}/{{ app_instance_id }}"
app_instance_www_root: "{{ app_instance_root }}"
app_version: "v0.3.15"
database_type: "mysql"
```


## Dependencies

- base_server
- base_platform


## Using the rôle

### Installation

```bash
./play.py --inv hosts yourhost mosparo install
```

### Uninstallation

```bash
./play.py --inv hosts yourhost mosparo uninstall -e 'app_instance_to_uninstall=mosparo'
```

## License

GPL V3

## Author Information

Pâquerette Team contact@paquerette.eu

[paquerette.eu](http://paquerette.eu)
