# Yeswiki

## Migrer un yeswiki existant

- Installer le role yeswiki
- Supprimer la base de données automatiquement crée.
```
mysql -e "DROP database NAME_OF_MY_DATABASE"
```
- Importer la base de donnée.
```
mysql -u USER -p < SQL_FILE.sql
```
- Supprimer les fichiers par défaut dans `/mnt/vdb/jail/INSTANCE_ID/home/INSTANCE_ID/INSTANCE_ID/*`
- Copier les fichiers du yeswiki
- modifier le fichier `wakka.config.php`
```
  'mysql_host' => 'localhost',
  'mysql_database' => 'INSTANCE_ID_db',
  'mysql_user' => 'INSTANCE_ID_usr',
  'mysql_password' => 'PASSWORD',
  'table_prefix' => 'wkl3a_yw_',
  'base_url' => 'URL?',
```

## Actions supplémentaires

### Changer le domaine de yeswiki. 

Il y a 2 opérations à faire : 
- Changer la valeur dans le fichier ansible correspondant (`host_vars/VPSX.yml`) et lancer le role de la manière suivante : 
```
./play.py HOST ITEM reinstall --skip-tags "deploy"
```
- Changer la valeur sur le vps dans le fichier `wakka.config.php`

## Troubleshooting

### Le sftp n'est pas accessible

Par défaut, il semble que le role ansible n'active que l'authentification par clé ssh. Il faut autoriser les mot de passe dans le fichier `etc/ssh/sshd_config` tout en bash pour les sftp_user.

### Yeswiki indique un problème au niveau du dossier vendor.

Une partie des dépendances sont des dépendances à installer via le gestionnaire de paquet.
Pour que ces paquets soient installés, il faut lancer le role ???

