# Dolibarr

Dolibarr deployement

## Requirements

Needs paquerette ansible utility rôles : https://git.paquerette.eu/paquerette/infrastructure/ansible-paquerette

## Role Variables


```yml
- role: dolibarr_instance
  client: client name
  description: dolibarr
  app_domain: dolibarr.domain.fr
  app_instance_id: dolibarr_id
  app_user: www-dolibarr
  clear_app_user_password: oXzhwLx6m....................
  app_user_password: $6$rounds=656000$pR4TfvVS...........
  app_version: 18.0.3
  app_old_version: 18.0.1
  php_version: 8.1
  database_password: 9wFesrfFKNQa2..............
```

* Change app version to yours


## Default Variables

```yml
app_program: "Dolibarr"
  app_src: "https://github.com/Dolibarr/dolibarr/archive/refs/tags/{{ app_version }}.tar.gz"
  app_src_root_name: "dolibarr-{{ app_version }}"
  app_instance_root: "{{ www_root }}/{{ app_instance_id }}"
  app_instance_www_root: "{{ app_instance_root }}/htdocs"
  app_data: ""
  database_type: "mysql"
```


## Dependencies

- base_server
- base_platform
- php7_fpm


## Using the rôle

### Installation

```bash
./play.py --inv hosts yourhost dolibarr_instance install
```

### Uninstallation

```bash
./play.py --inv hosts yourhost dolibarr_instance uninstall -e 'app_instance_to_uninstall=dolibarr_instance'
```

## License

GPL V3

## Author Information

Pâquerette Team contact@paquerette.eu

[paquerette.eu](http://paquerette.eu)
