# Etherpad

Etherpad deployement

## Requirements

Needs paquerette ansible utility rôles : https://git.paquerette.eu/paquerette/infrastructure/ansible-paquerette

## Role Variables


```yml
- role: etherpad
  client: ClientName
  description: Pad of Client
  app_domain: pad.domain.fr
  app_instance_id: etherpad_clientID
  app_user: www-etherpad
  clear_app_user_password: JGvXXsdT...............
  app_user_password: $6$$3W6ox............................................
  app_version: 1.8.16
  database_password: kQ7...............
  admin_pwd: PJrwW.................................
  admin_hash_pwd: $2a$10..................................................

```

* Change app version to yours


## Default Variables

```yml
app_version: 1.1.14
app_user_chrooted: "yes"
smtp_security: STARTTLS
smtp_host: false
smtp_user: null
smtp_pass: null
smtp_port: 587
app_backup_data: "yes"
etherpad_port: 9001
```

## Dependencies

- base_server
- base_platform

## Using the rôle

### Installation

```bash
./play.py --inv hosts yourhost etherpad install
```

### Uninstallation

```bash
./play.py --inv hosts yourhost etherpad uninstall -e 'app_instance_to_uninstall=etherpad'
```

## License

GPL V3

## Author Information

Pâquerette Team contact@paquerette.eu
[paquerette.eu](http://paquerette.eu)
