# site_statitque

Installation d'un environement pour servir un site statique

## Files created

- `/etc/letsencrypt/live/{{ app_domain }}/` : certificats lets encrypt
- `{{ app_instance_www_root}} : dossier servi par nginx
- `/mnt/vdb/log/nginx/{{ app_instance_id }}` : fichier de log nginx
- `/etc/nginx/sites-available/{{ app_instance_id }}.conf : fichier de conf nginx
- `/etc/nginx/sites-enabled/{{ app_instance_id }}.conf : lien symbolique fichier de conf nginx

## Files modified

## Role dependency

- _letsencrypt_certificate

## Variables

### Default
 - app_instance_root: "{{ www_root }}/{{ app_instance_id }}"
 - app_instance_www_root: "{{ app_instance_root }}"
 

### host_vars
 
 - app_domain
 - app_instance_id 
 - site_src

## Custom instructions


## Limitations and improvements

 - [ ] add brotli compression
